#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - cups installation
#
# Creation   :  2022-05-18 holbru
# Last update:  $Id: install.sh 107751 2023-11-23 13:18:23Z hbfl $
#
# Copyright (c) 2022-2024 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=cups

# ---------------------------------------------------------------------------
# activate
# ---------------------------------------------------------------------------

/usr/bin/chown root:lp /etc/cups/ppd
/usr/bin/chown root:lp /etc/cups/ssl

/usr/bin/chmod 0755 /etc/cups/ppd
/usr/bin/chmod 0700 /etc/cups/ssl

# ---------------------------------------------------------------------------
# Create config
# ---------------------------------------------------------------------------
if [ -f /etc/config.d/${package_name} ]
then
    update=true
fi

/usr/bin/systemd-tmpfiles --create /usr/lib/tmpfiles.d/cups.conf || :
# ---------------------------------------------------------------------------
# start configuration
# ---------------------------------------------------------------------------
if ${update:-false}
then
    /var/install/config.d/${package_name}.sh --quiet

    . /etc/config.d/${package_name}
    if [ "${START_CUPS}" = "yes" ]
    then
        /usr/sbin/service restart ${package_name}.service
    fi
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
